Bug 234357 - sysutils/htop: Fix bogus memory sizes on FreeBSD/powerpc
Summary: sysutils/htop: Fix bogus memory sizes on FreeBSD/powerpc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://github.com/hishamhm/htop/pull...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-12-24 13:18 UTC by Tobias Kortkamp
Modified: 2019-01-11 06:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gaod)


Attachments
htop.diff (3.43 KB, patch)
2018-12-24 13:18 UTC, Tobias Kortkamp
tobik: maintainer-approval? (gaod)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-12-24 13:18:43 UTC
Created attachment 200455 [details]
htop.diff

On FreeBSD/powerpc htop reports bogus memory sizes.  Add the patch
to the port I just submitted upstream to fix it.

Before patching: https://people.freebsd.org/~tobik/htop-powerpc-bug/before.png
After patching: https://people.freebsd.org/~tobik/htop-powerpc-bug/after.png
Comment 1 commit-hook freebsd_committer 2019-01-08 15:30:50 UTC
A commit references this bug:

Author: tobik
Date: Tue Jan  8 15:30:14 UTC 2019
New revision: 489709
URL: https://svnweb.freebsd.org/changeset/ports/489709

Log:
  sysutils/htop: Fix memory display in the header

  On amd64 it works correctly, but it breaks on powerpc, due to using
  types with the wrong size when requesting various sysctls.

  PR:		234357
  Submitted by:	tobik
  Approved by:	Hung-Yi Chen <gaod@hychen.org> (maintainer timeout, 2 weeks)

Changes:
  head/sysutils/htop/Makefile
  head/sysutils/htop/files/
  head/sysutils/htop/files/patch-freebsd_FreeBSDProcessList.c
Comment 2 commit-hook freebsd_committer 2019-01-11 06:01:13 UTC
A commit references this bug:

Author: tobik
Date: Fri Jan 11 06:00:27 UTC 2019
New revision: 489943
URL: https://svnweb.freebsd.org/changeset/ports/489943

Log:
  MFH: r489709

  sysutils/htop: Fix memory display in the header

  On amd64 it works correctly, but it breaks on powerpc, due to using
  types with the wrong size when requesting various sysctls.

  PR:		234357
  Submitted by:	tobik
  Approved by:	Hung-Yi Chen <gaod@hychen.org> (maintainer timeout, 2 weeks)

  Approved by:	ports-secteam runtime fix blanket

Changes:
_U  branches/2019Q1/
  branches/2019Q1/sysutils/htop/Makefile
  branches/2019Q1/sysutils/htop/files/